Bug 19031 - It would be beneficial to have a property within linewidth such as 'hairline'so that drawings could be scaled and linewidth would be independant. For ex. a line always having a width of 1 no matter the scale. This is almost necessary when displaying engin
It would be beneficial to have a property within linewidth such as 'hairline'...
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML Canvas 2D Context
unspecified
Other other
: P3 normal
: ---
Assigned To: Jay Munro
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:56 UTC by contributor
Modified: 2013-02-22 18:45 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:56:39 UTC
This was was cloned from bug 8794 as part of operation LATER convergence.
Originally filed: 2010-01-21 16:08:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2010-01-21 16:08:08 +0000 
--------------------------------------------------------------------------------
Section: http://www.whatwg.org/specs/web-apps/current-work/#dom-context-2d-linewidth

Comment:
It would be beneficial to have a property within linewidth such as
'hairline'so that drawings could be scaled and linewidth would be independant.
For ex. a line always having a width of 1 no matter the scale. This is almost
necessary when displaying engineering drawings that need to be zoomed in upon.

Posted from: 74.143.20.114
================================================================================
 #1   Ian 'Hixie' Hickson                             2010-02-13 11:30:24 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: see diff given below
Rationale: I agree with the idea, but I think we should punt on this for now and deal with it in a later version. There's a near-infinite number of things we could add to the 2D API and every time we do so, browser vendors appear to abandon everything else and rush to implement it. So it seems best to wait til they've implemented a lot more of the rest of HTML5 before adding more things here.
================================================================================